MAT_VARREAD(3)

NAME
Mat_VarRead - Reads the information and data for a specific variable in a MATLAB MAT file.

SYNOPSIS
#include <matio.h>
matvar_t *
Mat_VarRead(mat_t *matfp, const char *name);

DESCRIPTION
The Mat_VarRead() function reads the information and data for the variable name in the open MAT file.

RETURN VALUES
If the variable was found in the MAT file and successfully read, a pointer to the MATLAB variable structure is returned. If the variable was not found, or there was an error reading the variable, NULL is returned.

EXAMPLES
This example program opens a MAT file named by the first argument to the program, and reads a variable named x from the file. The matio function Mat_VarPrint is used to print the information and data from the file.

    #include "matio.h"
    int
    main(int argc,char **argv)
    {
        mat_t    *matfp;
        matvar_t *matvar;
        matfp = Mat_Open(argv[1],MAT_ACC_RDONLY);
        if ( NULL == matfp ) {
            fprintf(stderr,"Error opening MAT file %s,argv[1]);
            return EXIT_FAILURE;
        }
        matvar = Mat_VarRead(matfp,"x");
        if ( NULL != matvar ) {
            Mat_VarPrint(matvar);
            Mat_VarFree(matvar);
        }
        Mat_Close(matfp);
        return EXIT_SUCCESS;
    }

SEE ALSO
Mat_VarReadInfo(3), Mat_VarReadNext(3), Mat_VarPrint(3)